/**/

:root {
    --sidebar-width: 12.5rem;
    --sidebar-collapsed-width: 3.5rem;

    --navbar-height: calc(1.25rem + 1.75rem);
}

/** PADDINGS **/

.px-2\.75 {
    padding-left: 0.6875rem !important;
    padding-right: 0.6875rem !important;
}

/** BACKGROUNDS **/

.background-white {
    background-color: white;
}

.bg-card-header {
    background-color: rgb(248, 248, 248);
}

/* DISPLAY */

.d-contents {
    display: contents !important;
}

/* SHADOWS */

.box-shadow {
    -webkit-box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.2);
    -ms-box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.2);
    -o-box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.2);
}

/* SWITCH */

.form-switch .form-check-input:focus:not(:checked) {
    --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
}

.form-switch {
    min-height: auto !important;
}

/* LAYOUT */

.content {
    width: calc(100vw - var(--sidebar-width));
    margin-left: var(--sidebar-width);

    transition: all;
    transition-duration: 200ms;
}

.content > .navbar {
    height: var(--navbar-height) !important;

    padding: 0 1.5rem;
}

.sidebar:not(.expanded) + .content {
    width: calc(100vw - var(--sidebar-collapsed-width));
    margin-left: var(--sidebar-collapsed-width);
}

/** BORDERS **/

.border-default-color {
    border-color: var(--bs-border-color) !important;
}

.border-1\.5 {
    border-width: 0.125rem !important;
}

.border-bottom-left-radius {
    border-bottom-left-radius: calc(var(--bs-border-radius) - var(--bs-border-width)) !important;
}

.border-bottom-right-radius {
    border-bottom-right-radius: calc(var(--bs-border-radius) - var(--bs-border-width)) !important;
}

/** TEXTS **/

.text-xxs {
    font-size: 0.625rem;
    line-height: 0.75rem;
}

.lh-xs {
    line-height: 0.75rem;
}

/** CHART TOOLTIP **/

.chart-tooltip-table, .chart-tooltip-table th, .chart-tooltip-table td {
    border-spacing: 0;
    border: 0 !important;
    padding: 0 !important;
}

/** TEXT ROTATE TRANSFORM **/

.vertical-text {
    writing-mode: vertical-rl;
}

/** ICONS **/

i.flame-icon {
    display: flex;
    align-items: center;
    justify-items: center;
}

/** TOOLTIP **/

.tooltip {
    font-size: 0.75rem;
    z-index: 2010 !important;
}

.z-1000 {
    z-index: 1000 !important;
}

.z-10000 {
    z-index: 10000 !important;
}

.-translate-x-1\/2 {
    transform: translateX(-50%) !important;
}

.-translate-y-1\/2 {
    transform: translateY(-50%, -50%) !important;
}

.-translate-1\/2 {
    transform: translate(-50%, -50%) !important;
}

/** MAP **/

.leaflet-popup-content-wrapper {
    padding: 0 !important;
    border-radius: 0.25rem !important;
}

.leaflet-popup-content {
    margin: 0 !important;
}